package market.Slm.ServiceManagement.vo;

import java.io.Serializable;
import java.util.Date;

import market.Slm.ServiceManagement.mapper.SlmServiceViewAnnexMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_SERVICE_VIEW_ANNEX", namespace=SlmServiceViewAnnexMapper.class)
public class SlmServiceViewAnnex extends BaseVO implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -2949318477547935527L;

	/**
	 * 	意见反馈附件表
	 */
	
	@Id
	//附件编号
	private String annex_no;
	
	@Column
	//意见反馈编号
	private String view_no;
	
	@Column
	//附件名称
	private String annex_name;
	
	@Column
	//保存路径
	private String annex_path;
	
	@Column
	//是否为图片 1：图片；2：非图片
	private String is_image;
	
	@Column
	//附件类型
	private String annex_type;
	
	@Column
	//上传人编号
	private String prvd_man_no;
	
	@Column
	//上传人姓名
	private String prvd_man_name;
	
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//上传时间
	private Date prvd_time;
	
	@Column
	//备注
	private String memo;

	public String getAnnex_no() {
		return annex_no;
	}

	public void setAnnex_no(String annex_no) {
		this.annex_no = annex_no;
	}

	public String getView_no() {
		return view_no;
	}

	public void setView_no(String view_no) {
		this.view_no = view_no;
	}

	public String getAnnex_name() {
		return annex_name;
	}

	public void setAnnex_name(String annex_name) {
		this.annex_name = annex_name;
	}

	public String getAnnex_path() {
		return annex_path;
	}

	public void setAnnex_path(String annex_path) {
		this.annex_path = annex_path;
	}

	public String getIs_image() {
		return is_image;
	}

	public void setIs_image(String is_image) {
		this.is_image = is_image;
	}

	public String getAnnex_type() {
		return annex_type;
	}

	public void setAnnex_type(String annex_type) {
		this.annex_type = annex_type;
	}

	public String getPrvd_man_no() {
		return prvd_man_no;
	}

	public void setPrvd_man_no(String prvd_man_no) {
		this.prvd_man_no = prvd_man_no;
	}

	public String getPrvd_man_name() {
		return prvd_man_name;
	}

	public void setPrvd_man_name(String prvd_man_name) {
		this.prvd_man_name = prvd_man_name;
	}

	public Date getPrvd_time() {
		return prvd_time;
	}

	public void setPrvd_time(Date prvd_time) {
		this.prvd_time = prvd_time;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}
	
	/*
	 * eason add 2019-08-02 文件byte
	 */
	private byte[] fileDb;
	public byte[] getFileDb() {
		return fileDb;
	}

	public void setFileDb(byte[] fileDb) {
		this.fileDb = fileDb;
	}
	
}